阿弥陀佛！欢迎来到Git+R大讲堂！

我是唐三藏，英文名SanzangTang。今天我将给您讲解使用Git+R做项目托管和自动化的背景、优势和一些git和R基本的概念，希望通过我的讲解能够让您对此有个基本的了解。为了方便起见，下文将Git+R简写为GitR。

GitR是Git和R组合形成的用于科研项目托管并实现项目工作自动化的软件系统，GitR把Git的托管和协作功能与R的数据分析和处理有机的结合起来，形成一个方便、易用、扩展性良好的科研项目工作环境。

为了显得更有条理，我将把整个教程分成9个部分。从Git和R的基础知识讲起，便于那些没有Git和R使用经验的读者学习一些入门知识，之后将结合作者近几年使用Git和R做项目的具体实例讲解一些具体的应用方法和经验，在第九章将讲述一些项目管理和自动化过程中经常用到的编程方法和具体实例。

本教程将按照由浅入深、从理论到实践的顺序安排。每个章节后都有下一个章节的链接，我们推荐您按这个顺序阅读。当然您也可以根据自己的兴趣，自由选择阅读的章节，我会在每个章节的README文件中列出本章节的内容目录链接，并在每个链接后面附上一个简短的说明，便于您了解该章节的摘要内容。

由于本教程尚处于撰写的过程中，尚未完成的章节将不会有活动链接，有些只是初稿或写作提纲，我将在简介中说明，以节省您的时间。没有做到的地方请您原谅。

* [第一章 关于GitR](chap1/README.md)
讲述GitR系统的思路来源、目标，GitR项目托管系统的组成和结构，应用GitR托管科研项目的优点，让您对GitR有个初步的了解。

* [第二章 Git基础](chap2/README.md)
Git基础知识，基本思想，重要概念，基本命令，各种平台上的使用方法。

* [第三章 R基础](chap3/README.md)
讲解关于R的一些基础知识，包括R能够提供的功能，应用前景，基本的R命令，数据分析，绘图，常用函数包等，主要是针对初学者。

* [第四章 项目管理与团队协作](chap4/README.md)
讲解如何用GitR做项目文档管理，以及用GitR托管网站作为中介进行项目团队之间的协作流程和使用方法。

* [第五章 项目自动化](chap5/README.md)
关于利用R等进行项目自动化的内容,如数据分析、rmarkdown、shiny网站设计等方面的内容。

* [第六章 搭建GirR工作环境](chap6/README.md)
介绍GitR工作环境的搭建流程，相关软件的安装、配置、使用，包括网络、桌面、移动工作环境的具体使用方法。

* [第七章 项目实战1-数据采集项目](chap7/README.md)
通过一个实际的例子，演示利用gitr构建数据自动采集的过程。

* [第八章 项目实战2-秸秆资源调查项目](chap8/README.md)
作者应用gitr做数据分析的例子，演示一些数据分析的方法，以及利用gitr构建地理信息数据网站、显示位置数据的过程和方法。

* [第九章 GitR编程](chap9/README.md)
gitr自动化所涉及的一些高级功能，go语言、python语言在gitr中的应用，供那些希望为gitr做贡献的用户参考学习。


[>>> 1.1 为什么要用gitr](chap1/why_gitr.md)