### 项目实战1——数据采集项目

项目的目的是实现农田数据采集的自动化，通过图像序列特征分析，找到能够描述作物群体生长状况的特征集，用这些特征集表征土壤的生产力，通过给作物号脉，调和作物和土壤的阴阳，实现“计算机看苗施肥”，取代测土配方。测土配方是间接的决策方式，成本高，效果不好。

#### 7.2 系统结构

#### 7.3 数据采集系统

#### 7.4 数据预处理

#### 7.5 数据分析

#### 7.6 数据发布

#### 7.7 监测报告

#### 7.8 当前进展

盆栽试验数据自动采集与分析项目

* 这是“看苗施肥”项目的预备试验，主要试验田间作物长势状况和农田微环境参数的自动采集，同时也是为了进行GitR数据自动化的试验和开发。利用Git+R做项目管理和自动化，项目托管地址：http://git.boogoo.com.cn/hungerzs/zero
* 用rstudio进行项目管理和数据处理工作，结束之前，提交推送一次。到办公室之后，同样的工作环境，拉去最新内容。下班前推送一次，回家继续。换个工作空间，pull和push一次就行了。
* 数据采集部分用raspberry-zero小电脑作为主控，连接摄像头和小米miFlora，采集图像、气温、湿度、光照和土壤电导率，设置采样间隔为5分钟。
* 我把这个zero小电脑和摄像头放到牙刷盒子里，方便移动还防雨。
* 小电脑在整个项目中的分工是数据采集，预处理，包括数据存储管理，图像特征值提取等前期工作，用Python和go语言实现。
* 一个原则是数据处理尽量前移，减少服务器的工作量，因为生产环境下服务器要处理很多项目，运算资源宝贵。
* zero小电脑有个内置的git系统，用于处理本地仓库与中心仓库的数据同步。就是说，每隔5分钟就把预处理的数据向中心仓库推送一次。
* 为了方便移植，我把这个系统做了个image，要想复制这个做法，花160块钱整个树莓派，再加个退役的手机卡就跑起来了。给它起个好听的名字，“智能盆栽试验装置”、或者“大数据视角下基于IoT的作物微环境数据自动采集系统"，好像也行。高大上吧，其实就是个牙刷盒子。
* 为了实现功能分离，我采用了主项目+子项目的组织形式。主项目完成整个项目的全局性功能，其中的data文件夹用来存储原始数据。zero的数据会被推送到这里。但是，zero的数据并不是被设计称主仓库的组成部分，而是作为子项目被引用到主项目仓库。换句话说，zero是独立存在的。
* 这样设计的目的是其他项目也可以引用zero数据，从而实现数据复用。主项目引入zero数据后，对数据的使用与本项目数据没有什么不同。除了一点，zero仓库会有个设置，防止你对原始数据进行恶意篡改。
* 数据分析的部分在主项目仓库中，数据加载、数据清洗、整理的都实现了自动化，但群体纹理数据提取、特征值筛选、时空分解等都还在摸索中。
* 这几天在学习多元时间序列分析，先把土壤电导率中的“水分”挤出来，看剩下来的“肥力”是怎么变化的。在这里请求帮助。于天仁老先生认为电导率可以作为土壤肥力的综合指标，我感觉用更精细的数据也能证明这一点，甚至可以给出个更精确的定量描述。当然，我们没有忘记我们的终极目标，刷脸。
* 项目第三个重要的部分是项目网站，放在docs文件夹中，也是以子项目的形式存在。数据、图表、网站都可以随着数据的更新自动生成和发布。但我选择了手工发布，因为我目前的系统硬件配置很低(阿里云的最低配置)，5分钟一次的更新太耗费资源，我还有别的事情要它做。

[>>> 网页界面及各部分功能](page_layout.md)